Page MenuHomePhabricator

[1.31.0-wmf.1] minor- Browser back button makes highlight-only filters do not display their highlight status in Filter menu
Closed, ResolvedPublic

Description

  1. On RC page select any filter as a highlight-only. Clicking on the filter capsule will display the highlighted status of the filter in the Filter search area.

  1. Navigate to a different page. Then, click the browser back button. The filter (and highlighting) selected in #1 will be displayed on RC page.
  2. Click on the highlight-only filter capsule - the filter menu will open but the highlight status will not be displayed.

Note: so far I could not find the other cases when the highlight status is not preserved in the Filter menu area, so that's make the issue a minor issue.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 28 2017, 9:50 PM

Change 382009 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] RCFilters: Init highlight button based on model state

https://gerrit.wikimedia.org/r/382009

Change 382009 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Init highlight button based on model state

https://gerrit.wikimedia.org/r/382009

Checked the fix in betalabs.

Etonkovidova closed this task as Resolved.Oct 4 2017, 6:06 PM
Etonkovidova added a comment.EditedOct 11 2017, 6:35 PM

Re-checked in 1.31.0-wmf.3 - all tests cases below behave as expected.